Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_TCP_Base_Acceptor Class Reference

`#include <TCP.h>`

Inheritance diagram for TAO_AV_TCP_Base_Acceptor:

[legend]
Collaboration diagram for TAO_AV_TCP_Base_Acceptor:

[legend]
List of all members.

## Public Methods
virtual int | acceptor_open (TAO_AV_TCP_Acceptor *acceptor, ACE_Reactor *reactor, const ACE_INET_Addr &local_addr, TAO_FlowSpec_Entry *entry)
virtual int | make_svc_handler (TAO_AV_TCP_Flow_Handler *&handler)
## Protected Attributes
TAO_AV_TCP_Acceptor * | acceptor_
ACE_Reactor * | reactor_
TAO_FlowSpec_Entry * | entry_

## Member Function Documentation

int TAO_AV_TCP_Base_Acceptor::acceptor_open | ( | TAO_AV_TCP_Acceptor * | acceptor,
|  | ACE_Reactor * | reactor,
|  | const ACE_INET_Addr & | local_addr,
|  | TAO_FlowSpec_Entry * | entry
| ) | `[virtual]`

int TAO_AV_TCP_Base_Acceptor::make_svc_handler | ( | TAO_AV_TCP_Flow_Handler *& | handler | ) | `[virtual]`

| Reimplemented from ACE_Acceptor< TAO_AV_TCP_Flow_Handler, ACE_SOCK_ACCEPTOR >.

## Member Data Documentation

TAO_AV_TCP_Acceptor* TAO_AV_TCP_Base_Acceptor::acceptor_`[protected]`

TAO_FlowSpec_Entry* TAO_AV_TCP_Base_Acceptor::entry_`[protected]`

ACE_Reactor* TAO_AV_TCP_Base_Acceptor::reactor_`[protected]`

| Reimplemented from ACE_Event_Handler.

The documentation for this class was generated from the following files:

- TCP.h
- TCP.cpp